/*
 * FILE:
 * filter.h
 *
 * FUNCTION: 
 * Provide a set of data filters that turn strings of one 
 * type into strings of another.
 *
 * HISTORY:
 * Linas Vepstas March 2002
 */

#ifndef DUI_FILTER_H
#define DUI_FILTER_H

typedef const char * (*DuiFilter) (const char *);

DuiFilter dui_filter_find_by_name (const char *);

/* return NULL if the field is whitespace (blank, tab, formfeed etc.)  */
const char * whitespace_filter (const char * val);

#endif /* DUI_FILTER_H */
